<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

class City extends Model
{
    protected $fillable = [
        'district_id',
        'name_bn',
        'name_en',
    ];

    public function district(): BelongsTo
    {
        return $this->belongsTo(District::class);
    }

    public function wards()
{
    return $this->hasMany(Ward::class);
}

public function voterAreas()
{
    return $this->hasMany(VoterArea::class);
}


}
